Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# Representations/Cognition/PlayerPoseCollection.cpp File Reference

Implementation of class PlayerPoseCollection. More...

`#include "PlayerPoseCollection.h"`

Include dependency graph for PlayerPoseCollection.cpp:

Go to the source code of this file.

## Functions
In & | operator>> (In &stream, PlayerPoseCollection &playerPoseCollection)
| give the In operator acess to protected members
Out & | operator<< (Out &stream, const PlayerPoseCollection &playerPoseCollection)
| give the Out operator acess to protected members
In & | operator>> (In &stream, PlayerPose &playerPose)
| Streaming operator that reads a PlayerPose from a stream.
Out & | operator<< (Out &stream, const PlayerPose &playerPose)
| Streaming operator that writes a PlayerPose to a stream.

## Detailed Description

Implementation of class PlayerPoseCollection.

Definition in file PlayerPoseCollection.cpp.

## Function Documentation

In& operator>> | ( | In & | stream,
|  | PlayerPoseCollection & | playerPoseCollection
| ) |

  | give the In operator acess to protected members Parameters:
  stream | The stream from which is read.
  playerPoseCollection | The PlayerPoseCollection object.
Returns: The stream. Definition at line 52 of file PlayerPoseCollection.cpp.

Out& operator<< | ( | Out & | stream,
|  | const PlayerPoseCollection & | playerPoseCollection
| ) |

  | give the Out operator acess to protected members Parameters:
  stream | The stream to write on.
  playerPoseCollection | The PlayerPoseCollection object.
Returns: The stream. Definition at line 72 of file PlayerPoseCollection.cpp.

In& operator>> | ( | In & | stream,
|  | PlayerPose & | playerPose
| ) |

  | Streaming operator that reads a PlayerPose from a stream. Parameters:
  stream | The stream from which is read.
  playerPose | The PlayerPose object.
Returns: The stream. Definition at line 93 of file PlayerPoseCollection.cpp.

Out& operator<< | ( | Out & | stream,
|  | const PlayerPose & | playerPose
| ) |

  | Streaming operator that writes a PlayerPose to a stream. Parameters:
  stream | The stream to write on.
  playerPose | The PlayerPose object.
Returns: The stream. Definition at line 100 of file PlayerPoseCollection.cpp.